org.springframework.web.socket.handler

## Class SessionLimitExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.web.socket.handler.SessionLimitExceededException

All Implemented Interfaces:
  Serializable

    public class SessionLimitExceededException
    extends RuntimeException

Raised when a WebSocket session has exceeded limits it has been configured for, e.g. timeout, buffer size, etc.

Since:
  4.0.3
Author:
  Rossen Stoyanchev
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SessionLimitExceededException(String message, CloseStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CloseStatus` `getStatus()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionLimitExceededException

    public SessionLimitExceededException(String message,
                                         @Nullable
                                         CloseStatus status)

### Method Detail

#### getStatus

    public CloseStatus getStatus()